/*
 * @(#)Example2ActionListener.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.examples;

import yu.ac.bg.etf.javaqx.qswing.JQButton;
import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;
import yu.ac.bg.etf.javaqx.qswing.events.ActionListener;

/**
 * ActionListener Example.
 */
public class Example2ActionListener {

/*^**************************************************************************^*/
/*- Main Method.                                                             -*/
/*^**************************************************************************^*/

  public static void main(String[] args) {
    JQButton button = new JQButton("Close");
    button.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        QSwing.stopEventLoop();
      }
    });
    button.setName("Hello World");
    button.setSize(150, 50);
    button.setVisible(true);
    QSwing.startEventLoop(true);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 12:33:20 Slobodan
   Initial version

*****************************************************************************^*/
