/*
 * @(#)JavaQxConfig.java  0.2.0 / 2007-09-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx;

/**
 * JavaQx Configuration.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class JavaQxConfig {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Debug switch (the value is {@value}).
   */
  public static final boolean DEBUG = false;

  /**
   * Verbose switch (the value is {@value}).
   */
  public static final boolean VERBOSE = false;

  /**
   * Info switch (the value is {@value}).
   */
  public static final boolean INFO = DEBUG || VERBOSE;

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Class has no instances.
   */
  private JavaQxConfig() {
    // empty constructor body
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-11 17:58:30 Slobodan
   Initial version

*****************************************************************************^*/
