/*
 * @(#)TestNotFailed.java  0.2.0 / 2007-02-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.nunit;

import java.io.PrintStream;

import junit.framework.AssertionFailedError;

/**
 * Test Not Failed Assertion Error.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestNotFailed extends AssertionFailedError {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -7173755307911918680L;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new TestNotFailed object.
   */
  public TestNotFailed() {
    super("Test not failed"); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void printStackTrace(PrintStream s) {
    s.println(getMessage());
  }

}

/*^*****************************************************************************
  File History:

 - 2007-02-03 17:36:11 Slobodan
   Initial version

*****************************************************************************^*/
