/*
 * @(#)ComboBoxModel.java  0.1.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import yu.ac.bg.etf.javaqx.qswing.list.ListModel;

/**
 * ComboBox Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public interface ComboBoxModel extends ListModel {

  /**
   * Selects item.
   *
   * @param item the item
   */
  public void setSelectedItem(Object item);

  /**
   * Returns selected item.
   *
   * @return selected item
   */
  public Object getSelectedItem();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:44:05 Slobodan
   Initial version

*****************************************************************************^*/
