/*
 * @(#)JQCheckBox.java  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Check Box Component.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JQCheckBox extends JQToggleButton {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQCheckBox object.
   */
  public JQCheckBox() {
    super();
  }

  /**
   * Constructs new JQCheckBox object.
   *
   * @param action the action
   */
  public JQCheckBox(Action action) {
    super(action);
  }

  /**
   * Constructs new JQCheckBox object.
   *
   * @param text the button text
   */
  public JQCheckBox(String text) {
    super(text);
  }

  /**
   * Constructs new JQCheckBox object.
   *
   * @param icon the icon
   */
  public JQCheckBox(Icon icon) {
    super(icon);
  }

  /**
   * Constructs new JQCheckBox object.
   *
   * @param text the button text
   * @param icon the icon
   */
  public JQCheckBox(String text, Icon icon) {
    super(text, icon);
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

}

/*^*****************************************************************************
  File History:

 - 2007-11-21 16:48:42 Slobodan
   Initial version

*****************************************************************************^*/
