/*
 * @(#)JQComboBox.java  0.1.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import java.util.Vector;

/**
 * ComboBox Component.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public class JQComboBox extends JQComponent {

  /** @todo Finish the class */

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    _initialize();
  }

/*^**************************************************************************^*/
/*- Protected Fields.                                                        -*/
/*^**************************************************************************^*/

  protected ComboBoxModel dataModel;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQComboBox object.
   */
  public JQComboBox() {
    this(new DefaultComboBoxModel());
  }

  /**
   * Constructs new JQComboBox object.
   *
   * @param items the items
   */
  public JQComboBox(Object[] items) {
    this(new DefaultComboBoxModel(items));
    if (items.length > 0) { // NOPMD - temp
      /** @todo Implement setSelectedIndex */
      //setSelectedIndex(0);
    }
  }

  /**
   * Constructs new JQComboBox object.
   *
   * @param items the items
   */
  public JQComboBox(Vector items) { // NOPMD
    this(new DefaultComboBoxModel(items));
    if (items.size() > 0) { // NOPMD - temp
      /** @todo Implement setSelectedIndex */
      //setSelectedIndex(0);
    }
  }

  /**
   * Constructs new JQComboBox object.
   *
   * @param model the combo box model
   */
  public JQComboBox(ComboBoxModel model) { // NOPMD
    super(false); /** @todo  remove */
    throw new RuntimeException("Not implemented"); /** @todo Implement, NOPMD */
    //this.dataModel = model;
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

  native void _setModel(long bridge, ComboBoxModel model);

/*^**************************************************************************^*/
/*- Private Static Native Method.                                            -*/
/*^**************************************************************************^*/

  private static native void _initialize();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:49:20 Slobodan
   Initial version

*****************************************************************************^*/
