/*
 * @(#)UnsupportedStyleException.java  0.2.0 / 2007-10-15
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Unsupported Style Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class UnsupportedStyleException extends Exception {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 4584885188281166930L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new UnsupportedStyleException object.
   */
  public UnsupportedStyleException() {
    // empty constructor
  }

  /**
   * Constructs new UnsupportedStyleException object.
   *
   * @param message the error message
   */
  public UnsupportedStyleException(String message) {
    super(message);
  }

  /**
   * Constructs new UnsupportedStyleException object.
   *
   * @param message the error message
   * @param cause the cause
   */
  public UnsupportedStyleException(String message, Throwable cause) {
    super(message, cause);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-10-15 13:55:42 Slobodan
   Initial version

*****************************************************************************^*/
