/*
 * @(#)ChangeEvent.java  0.2.0 / 2007-09-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventObject;

/**
 * Change Event.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class ChangeEvent extends EventObject {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -3680581006024505715L;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new ChangeEvent object.
   *
   * @param source the source of the event
   *
   * @throws IllegalArgumentException if the source is <tt>null</tt>
   */
  public ChangeEvent(Object source) {
    super(source);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-18 20:19:20 Slobodan
   Initial version

*****************************************************************************^*/
