/*
 * @(#)ComponentAdapter.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Abstract Component Adapter.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class ComponentAdapter implements ComponentListener {

/*^**************************************************************************^*/
/*- ComponentListener Interface Implementation.                              -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void componentMoved(ComponentEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void componentResized(ComponentEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void componentShown(ComponentEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void componentHidden(ComponentEvent e) {
    // empty method
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 13:43:14 Slobodan
   Initial version

*****************************************************************************^*/
