/*
 * @(#)MouseAdapter.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Abstract Mouse Adapter.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class MouseAdapter implements MouseListener {

/*^**************************************************************************^*/
/*- MouseListener Implementation.                                            -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void mousePressed(MouseEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void mouseReleased(MouseEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void mouseClicked(MouseEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void mouseEntered(MouseEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void mouseExited(MouseEvent e) {
    // empty method
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 15:06:40 Slobodan
   Initial version

*****************************************************************************^*/
