/*
 * @(#)MouseWheelListener.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Mouse Wheel Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface MouseWheelListener extends EventListener {

  /**
   * Notifies listener that the mouse wheel is rotated.
   *
   * @param e the mouse event
   */
  public void mouseWheelMoved(MouseWheelEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 15:14:15 Slobodan
   Initial version

*****************************************************************************^*/
