/*
 * @(#)TableModelListener.java  0.2.0 / 2007-09-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Table Model Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface TableModelListener extends EventListener {

  /**
   * Notifies listener that table model has changed.
   *
   * @param e the table model event
   */
  public void tableChanged(TableModelEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-04 10:46:08 Slobodan
   Initial version

*****************************************************************************^*/
