/*
 * @(#)TreeSelectionListener.java  0.2.0 / 2007-12-17
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Tree Selection Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface TreeSelectionListener extends EventListener {

  /**
   * Notifies listener that tree selection have changed.
   *
   * @param event the tree selection event
   */
  public void valueChanged(TreeSelectionEvent event);

}

/*^*****************************************************************************
  File History:

 - 2007-12-17 12:45:58 Slobodan
   Initial version

*****************************************************************************^*/
