/*
 * @(#)ImageConsumer.java  0.2.0 / 2007-09-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

/**
 * Simplified image consumer interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ImageConsumer {

  /**
   * Sets image pixels.
   *
   * @param pixels the image pixels
   * @param length the length of the pixels array
   */
  public void setPixels(byte[] pixels, int length);

}

/*^*****************************************************************************
  File History:

 - 2007-09-18 09:42:54 Slobodan
   Initial version

*****************************************************************************^*/
