/*
 * @(#)ImageProducer.java  0.2.0 / 2007-09-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

/**
 * Simplified image producer interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ImageProducer {

  /**
   * Starts image production.
   *
   * @param ic the image consumer
   */
  public void startProduction(ImageConsumer ic);

}

/*^*****************************************************************************
  File History:

 - 2007-09-18 09:45:46 Slobodan
   Initial version

*****************************************************************************^*/
