/*
 * @(#)Paint.java  0.2.0 / 2007-09-06
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

/**
 * Abstract Paint.
 * <p>
 *   <tt>NOTE: This class is not compatible with <em>java.awt.Paint</em>
 *             interface!</tt>
 * </p>
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class Paint { // NOPMD

/*^**************************************************************************^*/
/*- Package-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  Paint() {
    // empty constructor
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-06 14:10:42 Slobodan
   Initial version

*****************************************************************************^*/
