/*
 * @(#)JQButtonProperties.java  0.2.0 / 2007-10-25
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQButton Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQButtonProperties extends JQAbstractButtonProperties {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>defaultCapable</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DEFAULT_CAPABLE =
                                                "defaultCapable"; //$NON-NLS-1$

  /**
   * The <tt>autoDefault</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_AUTO_DEFAULT =
                                                   "autoDefault"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-10-25 17:57:47 Slobodan
   Initial version

*****************************************************************************^*/
