/*
 * @(#)JQTextComponentProperties.java  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQTextComponentProperties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQTextComponentProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>document</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DOCUMENT = "document"; //$NON-NLS-1$

  /**
   * The <tt>editable</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_EDITABLE = "editable"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-12-11 20:55:14 Slobodan
   Initial version

*****************************************************************************^*/
