/*
 * @(#)JQToolButtonProperties.java  0.2.0 / 2007-11-12
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQProgressBar Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQToolButtonProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>menu</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_MENU = "menu"; //$NON-NLS-1$

  /**
   * The <tt>toolButtonStyle</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TOOL_BUTTON_STYLE =
                                               "toolButtonStyle"; //$NON-NLS-1$

  /**
   * The <tt>popupMode</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_MENU_POPUP_MODE =
                                                 "menuPopupMode"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-12 14:59:19 Slobodan
   Initial version

*****************************************************************************^*/
