/*
 * @(#)JQWindowProperties.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQWindow Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQWindowProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>title</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TITLE = "title"; //$NON-NLS-1$

  /**
   * The <tt>icon image</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ICON_IMAGE = "iconImage"; //$NON-NLS-1$

  /**
   * The <tt>opacity</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_OPACITY = "opacity"; //$NON-NLS-1$

  /**
   * The <tt>shape</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_SHAPE = "shape"; //$NON-NLS-1$

  /**
   * The <tt>default close operation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DEFAULT_CLOSE_OPERATION =
                                         "defaultCloseOperation"; //$NON-NLS-1$

  /**
   * The <tt>always on top</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ALWAYS_ON_TOP =
                                                   "alwaysOnTop"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:08:04 Slobodan
   Initial version

*****************************************************************************^*/
