/*
 * @(#)JQMainFrame.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx;

import yu.ac.bg.etf.javaqx.qswing.JQFrame;
import yu.ac.bg.etf.javaqx.qswing.QSwing;

/**
 * Main Frame.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JQMainFrame extends JQFrame {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQMainFrame object.
   */
  public JQMainFrame() {
    // empty constructor body
  }

  /**
   * Constructs new JQMainFrame object.
   *
   * @param title the window title
   */
  public JQMainFrame(String title) {
    super(title);
    setDefaultCloseOperation(JQFrame.QUIT_ON_CLOSE);
  }

/*^**************************************************************************^*/
/*- Public Method.                                                           -*/
/*^**************************************************************************^*/

  /**
   * Shows frame and starts gui event loop.
   */
  public void show() {
    setVisible(true);
    QSwing.startEventLoop();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:04:46 Slobodan
   Initial version

*****************************************************************************^*/
