/*
 * @(#)AboutQtAction.java  0.2.0 / 2007-09-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.actions;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;

/**
 * About Qt Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class AboutQtAction extends AbstractAction {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new AboutQtAction object.
   */
  public AboutQtAction() {
    super("About Q&t", "About Qt"); //$NON-NLS-1$ //$NON-NLS-2$
    setLongDescription("Displays information about Qt."); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- ActionListener Interface Implementation.                                 -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    QSwing.aboutQt();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-28 02:59:44 Slobodan
   Initial version

*****************************************************************************^*/
