/*
 * @(#)DeleteAction.java  0.2.0 / 2007-09-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.actions;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.KeyStroke;

/**
 * Clear Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class DeleteAction extends AbstractAction { // NOPMD

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new DeleteAction object.
   */
  public DeleteAction() {
    super("De&lete", "Delete"); //$NON-NLS-1$ //$NON-NLS-2$
    setLongDescription("Deletes the selected text."); //$NON-NLS-1$
    setAcceleratorKey(KeyStroke.getKeyStroke("Del")); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-28 20:16:24 Slobodan
   Initial version

*****************************************************************************^*/
