/*
 * @(#)ExitAction.java  0.2.0 / 2007-09-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.actions;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;

/**
 * Exit Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class ExitAction extends AbstractAction { // NOPMD

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new ExitAction object.
   */
  public ExitAction() {
    super("E&xit", "Exits"); //$NON-NLS-1$ //$NON-NLS-2$
    setLongDescription("Exits the application."); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    System.exit(0); // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-28 12:32:02 Slobodan
   Initial version

*****************************************************************************^*/
