/*
 * @(#)NewAction.java  0.2.0 / 2007-09-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.actions;

import yu.ac.bg.etf.javaqx.qswing.AbstractAction;
import yu.ac.bg.etf.javaqx.qswing.KeyStroke;

/**
 * New Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class NewAction extends AbstractAction { // NOPMD

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new AboutQtAction object.
   */
  public NewAction() {
    super("&New", "New"); //$NON-NLS-1$ //$NON-NLS-2$
    setLongDescription("Creates a new document."); //$NON-NLS-1$
    setAcceleratorKey(KeyStroke.getKeyStroke("Ctrl+N")); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-28 12:49:34 Slobodan
   Initial version

*****************************************************************************^*/
