/*
 * @(#)JavaDocument.java  0.1.0 / 2007-12-15
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx.text.code;

import yu.ac.bg.etf.javaqx.qswing.text.PlainDocument;

/**
 * Java Document.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.1.0
 */
public class JavaDocument extends PlainDocument {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JavaDocument object.
   */
  public JavaDocument() {
    this(null);
  }

  /**
   * Constructs new JavaDocument object.
   *
   * @param text the text
   */
  public JavaDocument(String text) {
    super(text);
    setHighlighter(new JavaHighlighter());
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-15 20:01:34 Slobodan
   Initial version

*****************************************************************************^*/
