/*
 * @(#)TestPackageLang.java  0.2.0 / 2007-09-08
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.core;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.core.events.TestPackageEvents;
import yu.ac.bg.etf.javaqx.nunit.TestPackage;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.core</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageCore extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>yu.ac.bg.etf.javaqx.core</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx.core</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageCore.class);
    suite.addTest(TestPackageEvents.suite());
    suite.addTestSuite(TestAbstractDisposable.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageCore.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-08 00:42:52 Slobodan
   Initial version

*****************************************************************************^*/
