/*
 * @(#)TestPackageOpenGL.java  0.1.0 / 2007-06-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.opengl;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.nunit.TestPackage;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.opengl</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageOpenGL extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>yu.ac.bg.etf.javaqx.opengl</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx.opengl</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageOpenGL.class);
    suite.addTestSuite(TestQOpenGL.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageOpenGL.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-06-05 23:30:00 Slobodan
   Initial version

*****************************************************************************^*/
