/*
 * @(#)TestQOpenGL.java  0.2.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.opengl;

import junit.framework.TestCase;

import yu.ac.bg.etf.javaqx.qswing.QSwing;
/**
 * QOpenGL Test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestQOpenGL extends TestCase {

/*^**************************************************************************^*/
/*- Test Method.                                                             -*/
/*^**************************************************************************^*/

  /**
   * Tests whether OpenGL is supported.
   */
  public void testExecSupported() {
    QSwing.initialize();
    assertTrue(QOpenGL.SUPPORTED);
    QSwing.dispose();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-30 13:10:40 Slobodan
   Initial version

*****************************************************************************^*/
