/*
 * @(#)TestJQStyleMenu.java  0.2.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx;

import junit.framework.TestCase;

import yu.ac.bg.etf.javaqx.qswing.QSwing;

/**
 * JQStyleMenu Test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestJQStyleMenu extends TestCase {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private JQStyleMenu styleMenu = null;

/*^**************************************************************************^*/
/*- Test Methods.                                                            -*/
/*^**************************************************************************^*/

  /**
   * Tests <tt>installed styles</tt> method.
   */
  public void testExecStyleCount() {
    assertEquals(styleMenu.getComponentCount(),
                 QSwing.getInstalledStyleNames().length);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void setUp() throws Exception {
    styleMenu = new JQStyleMenu();
  }

  /**
   * {@inheritDoc}
   */
  protected void tearDown() throws Exception {
    styleMenu = null;
    QSwing.dispose();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-30 13:26:02 Slobodan
   Initial version

*****************************************************************************^*/
