/*
 * @(#)TestPackageQSwingX.java  0.1.0 / 2007-06-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.nunit.TestPackage;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.qswingx</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageQSwingX extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>yu.ac.bg.etf.javaqx.qswingx</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx.qswingx</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageQSwingX.class);
    /** @todo  Finish */
    //suite.addTest(TestPackageActions.suite());
    //suite.addTest(TestPackageText.suite());
    suite.addTestSuite(TestJQStyleMenu.class);
    suite.addTestSuite(TestJQThemeMenu.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageQSwingX.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-06-05 23:30:00 Slobodan
   Initial version

*****************************************************************************^*/
