#/*
# * @(#)qnotepad.pro  0.1.0 / 2007-04-13
# *
# * Copyright (c) 2007, ETF and contributors. All rights reserved.
# *
# * The contents of this file are licensed under the LGPL, version 2.1, license.
# * A copy of the license is included in the file LICENSE-LGPL.txt.
# */

message("qnotepad.pro project file")

#*^**************************************************************************^*/
#*- QNotepad Launcher :: Project File.                                       -*/
#*^**************************************************************************^*/

MAIN_CLASS = yu/ac/bg/etf/javaqx/demo/qnotepad/QNotepadLauncher
#LIB_PATH = ../lib
CLASS_PATH = demo-qnotepad.jar

TARGET = demo-qnotepad
CONFIG -= qt gui
QT =
INCLUDEPATH += ../../
DESTDIR = ./tmp
DEPENDPATH += .
OBJECTS_DIR += ./tmp/obj/release
win32 {
  RCC_DIR = ./tmp/res/release
  RC_FILE = qnotepad.rc
}

CONFIG += release
DEFINES -= UNICODE

DEFINES += LAUNCHER_TEMPLATE
DEFINES += "MAIN_CLASS=\\\"$$MAIN_CLASS\\\""
DEFINES += "JVM_OPTIONS_0=\\\"-Djava.class.path=$$CLASS_PATH\\\""
!isEmpty(LIB_PATH) {
  DEFINES += "JVM_OPTIONS_1=\"-Djava.library.path=$$LIB_PATH\""
  DEFINES += "LIB_PATH=\"$$LIB_PATH\""
}

# Libraries
win32:LIBS += -luser32 -ladvapi32

#/*^*************************************************************************^*/
#/*- QNotepad Launcher :: JNI Files.                                         -*/
#/*^*************************************************************************^*/

win32 {
  INCLUDEPATH += ../../../../include/win32/sun-jvm \
                 ../../../../include/win32/sun-jvm/win32
}
unix {
  INCLUDEPATH += ../../../../include/linux/sun-jvm \
                 ../../../../include/linux/sun-jvm/linux
}
solaris {
  INCLUDEPATH += ../../../../include/solaris/sun-jvm \
                 ../../../../include/solaris/sun-jvm/solaris
}

#/*^*************************************************************************^*/
#/*- QNotepad Launcher :: Files.                                             -*/
#/*^*************************************************************************^*/

#Header files
HEADERS += ../../Launcher.h

# Source Files
SOURCES += ../../LauncherTemplate.cpp
win32 {
  SOURCES += ../../platform/win32/Launcher.cpp
}
solaris {
  SOURCES += ../../platform/solaris/Launcher.cpp
}
unix {
  SOURCES += ../../platform/linux/Launcher.cpp
}

#/*^****************************************************************************
#  File History:
#
# - 2007-04-12 14:20:51 Slobodan
#   Initial version
#
#****************************************************************************^*/
