/*
 * @(#)QSwingNativeTest.h  0.2.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QSWINGNATIVETEST_H
#define QSWINGNATIVETEST_H

#ifdef JAVAQX_TEST

#include "NativeTest.h"

/*^**************************************************************************^*/
/*- NativeTest Class.                                                        -*/
/*^**************************************************************************^*/

/*!
 * \brief QSwing Native Test.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QSwingNativeTest : public NativeTest
{
protected:
  void qswingInitialize();
  int qswingStartEventLoop(bool quitOnLastWindowClosed = false);
  void qswingStopEventLoop(int extiCode = 0);
  void qswingDispose();
};

#endif // JAVAQX_TEST

#endif // QSWINGNATIVETEST_H

/*^*****************************************************************************
  File History:

 - 2007-12-30 19:49:05 Slobodan
   Initial version

*****************************************************************************^*/
