/*
 * @(#)ContentPane.h  0.2.0 / 2007-12-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef CONTENTPANE_H
#define CONTENTPANE_H

#include "JavaQxQSwing.h"

#include "ContentPaneBridge.h"

/*^**************************************************************************^*/
/*- InternalFrameWidget Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief Content Pane.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT ContentPane : public QWidget
{
public:
  ContentPane(ContentPaneBridge *bridge);
public:
  virtual QSize sizeHint() const;
protected:
  ContentPaneBridge *m_bridge;
};

#endif // CONTENTPANE_H

/*^*****************************************************************************
  File History:

 - 2007-12-28 21:36:34 Slobodan
   Initial version

*****************************************************************************^*/
