/*
 * @(#)QAbstractButtonAdapter.h  0.2.0 / 2007-08-16
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QABSTRACTBUTTONADAPTER_H
#define QABSTRACTBUTTONADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QAbstractButtonAdapter Class.                                            -*/
/*^**************************************************************************^*/

/*!
 * \brief QAbstractButton Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QAbstractButtonAdapter : public QAbstractButton
{
public:
  QAbstractButtonAdapter();
protected:
  void paintEvent(QPaintEvent *e);
};

#endif // QABSTRACTBUTTONADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-08-16 08:23:12 Slobodan
   Initial version

*****************************************************************************^*/
