/*
 * @(#)QMainWindowAdapter.h  0.2.0 / 2007-11-20
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QMAINWINDOWADAPTER_H
#define QMAINWINDOWADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QMainWindowAdapter Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief QMainWindow Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QMainWindowAdapter : public QMainWindow
{
public:
  QMainWindowAdapter(QWidget *parent = 0, Qt::WindowFlags flags = 0);
public:
  virtual QSize sizeHint() const;
  virtual QMenu *createPopupMenu();
};

#endif // QMAINWINDOWADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-20 20:24:00 Slobodan
   Initial version

*****************************************************************************^*/
