/*
 * @(#)QTextCharFormatAdapter.h  0.2.0 / 2007-12-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QTEXTCHARFORMATADAPTER_H
#define QTEXTCHARFORMATADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QTextCharFormatAdapter Class.                                            -*/
/*^**************************************************************************^*/

/*!
 * \brief QTextCharFormat Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QTextCharFormatAdapter : public QTextCharFormat
{
public:
  QTextCharFormatAdapter(jobject format);
public:
  static void initialize(JNIEnv *env, jclass cls);
private:
  static jmethodID sm_getFontMID;
  static jmethodID sm_isFontBoldMID;
  static jmethodID sm_getColorMID;
};

#endif // QTEXTCHARFORMATADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-12-13 13:25:25 Slobodan
   Initial version

*****************************************************************************^*/
