/*
 * @(#)JQColorChooserBridge.h  0.2.0 / 2007-11-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQCOLORCHOOSERBRIDGE_H
#define JQCOLORCHOOSERBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQColorChooserBridge Class.                                              -*/
/*^**************************************************************************^*/

/*!
 * \brief JQColorChooser Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQColorChooserBridge
{
public: // native calls
  static jobject getColor(JNIEnv *env, jclass cls, jlong parentBridge,
                          jint initialColor);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqColorChooserBridge (reinterpret_cast<JQColorChooserBridge *>(bridge))

#endif //JQCOLORCHOOSERBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-29 19:15:42 Slobodan
   Initial version

*****************************************************************************^*/
