/*
 * @(#)JQFontChooserBridge.h  0.2.0 / 2007-11-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQFONTCHOOSERBRIDGE_H
#define JQFONTCHOOSERBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQFontChooserBridge Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief JQFontChooser Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQFontChooserBridge
{
public: // native calls
  static jobject getFont(JNIEnv *env, jclass cls, jlong parentBridge,
                         jobject initialFont, jstring title);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqFontChooserBridge (reinterpret_cast<JQFontChooserBridge *>(bridge))

#endif //JQFONTCHOOSERBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-29 18:05:19 Slobodan
   Initial version

*****************************************************************************^*/
