/*
 * @(#)SplashScreenBridge.h  0.2.0 / 2007-11-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef SPLASHSCREENBRIDGE_H
#define SPLASHSCREENBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQWindowBridge.h"

/*^**************************************************************************^*/
/*- SplashScreenBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief SplashScreen Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT SplashScreenBridge : public JQWindowBridge
{
  Q_OBJECT
protected:
  SplashScreenBridge(JNIEnv *env, jobject obj);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
};

#endif //SPLASHSCREENBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-03 18:28:07 Slobodan
   Initial version

*****************************************************************************^*/
