/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_JQComponent.cpp  0.2.0 / 2007-09-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_JQComponent.h"

#include "JQComponentBridge.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.JQComponent
 */

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1create
  (JNIEnv *env, jobject obj)
{
  return JQComponentBridge::newInstance(env, obj);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setName
  (JNIEnv *env, jobject, jlong bridge, jstring name)
{
  qObjectBridge->setName(env, name);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setVisible
  (JNIEnv *env, jobject, jlong bridge, jboolean visible)
{
  jqComponentBridge->setVisible(env, visible);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1showWindow
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->showWindow(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setEnabled
  (JNIEnv *env, jobject, jlong bridge, jboolean enabled)
{
  jqComponentBridge->setEnabled(env, enabled);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setFocusable
  (JNIEnv *env, jobject, jlong bridge, jboolean focusable)
{
  jqComponentBridge->setFocusable(env, focusable);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1requestFocus
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->requestFocus(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setLocation
  (JNIEnv *env, jobject, jlong bridge, jint x, jint y)
{
  jqComponentBridge->setLocation(env, x, y);
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1getPreferredSize
  (JNIEnv *env, jobject, jlong bridge)
{
  return jqComponentBridge->getPreferredSize(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setSize
  (JNIEnv *env, jobject, jlong bridge, jint width, jint height)
{
  jqComponentBridge->setSize(env, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setMaximumSize
  (JNIEnv *env, jobject, jlong bridge, jint width, jint height)
{
  jqComponentBridge->setMaximumSize(env, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setMinimumSize
  (JNIEnv *env, jobject, jlong bridge, jint width, jint height)
{
  jqComponentBridge->setMinimumSize(env, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setFixedSize
  (JNIEnv *env, jobject, jlong bridge, jint width, jint height)
{
  jqComponentBridge->setFixedSize(env, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setBounds
  (JNIEnv *env, jobject, jlong bridge, jint x, jint y, jint width, jint height)
{
  jqComponentBridge->setBounds(env, x, y, width, height);
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1getBackground
  (JNIEnv *env, jobject, jlong bridge, jclass colorClass)
{
  return jqComponentBridge->getBackground(env, colorClass);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setBackground
  (JNIEnv *env, jobject, jlong bridge, jint argb)
{
  jqComponentBridge->setBackground(env, argb);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setNullBackground
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->setNullBackground(env);
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1getForeground
  (JNIEnv *env, jobject, jlong bridge, jclass colorClass)
{
  return jqComponentBridge->getForeground(env, colorClass);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setForeground
  (JNIEnv *env, jobject, jlong bridge, jint argb)
{
  jqComponentBridge->setForeground(env, argb);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setNullForeground
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->setNullForeground(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setOpaque
  (JNIEnv *env, jobject, jlong bridge, jboolean opaque)
{
  jqComponentBridge->setOpaque(env, opaque);
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1getFont
  (JNIEnv *env, jobject, jlong bridge, jclass fontClass)
{
  return jqComponentBridge->getFont(env, fontClass);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setFont
  (JNIEnv *env, jobject, jlong bridge, jobject font)
{
  jqComponentBridge->setFont(env, font);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setStyleSheet
  (JNIEnv *env, jobject, jlong bridge, jstring styleSheetText)
{
  jqComponentBridge->setStyleSheet(env, styleSheetText);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setStyleSheetProperties
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->setStyleSheetProperties(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1removeStyleSheetProperties
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->removeStyleSheetProperties(env);
}

JNIEXPORT jint JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1getCursor
  (JNIEnv *env, jobject, jlong bridge)
{
  return jqComponentBridge->getCursor(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setCursor
  (JNIEnv *env, jobject, jlong bridge, jint type)
{
  jqComponentBridge->setCursor(env, type);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1repaint__J
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->repaint(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1repaint__JIIII
  (JNIEnv *env, jobject, jlong bridge, jint x, jint y, jint width, jint height)
{
  jqComponentBridge->repaint(env, x, y, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1update__J
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->update(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1update__JIIII
  (JNIEnv *env, jobject, jlong bridge, jint x, jint y, jint width, jint height)
{
  jqComponentBridge->update(env, x, y, width, height);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setUpdatesEnabled
  (JNIEnv *env, jobject, jlong bridge, jboolean enabled)
{
  jqComponentBridge->setUpdatesEnabled(env, enabled);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1polish
  (JNIEnv *env, jobject, jlong bridge)
{
  jqComponentBridge->polish(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setComponentOrientation
  (JNIEnv *env, jobject, jlong bridge, jint orientation)
{
  jqComponentBridge->setComponentOrientation(env, orientation);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setToolTipText
  (JNIEnv *env, jobject, jlong bridge, jstring text)
{
  jqComponentBridge->setToolTipText(env, text);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setStatusTipText
  (JNIEnv *env, jobject, jlong bridge, jstring text)
{
  jqComponentBridge->setStatusTipText(env, text);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setWhatsThisText
  (JNIEnv *env, jobject, jlong bridge, jstring text)
{
  jqComponentBridge->setWhatsThisText(env, text);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1setEnabledEvents
  (JNIEnv *env, jobject, jlong bridge, jlong events)
{
  jqComponentBridge->setEnabledEvents(env, events);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1paintComponent
  (JNIEnv *env, jobject, jlong bridge, jlong graphicsPointer)
{
  jqComponentBridge->paintComponent(env, graphicsPointer);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1destroy
  (JNIEnv *env, jobject, jlong bridge)
{
  qObjectBridge->destroy(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQComponent__1initialize
  (JNIEnv *env, jclass cls)
{
  JQComponentBridge::initialize(env, cls);
}

/*^*****************************************************************************
  File History:

 - 2007-09-04 22:34:44 Slobodan
   Initial version

*****************************************************************************^*/
