/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_styles_CustomColorPalette.cpp
 *                                                           0.2.0 / 2007-10-10
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_styles_CustomColorPalette.h"

#include "QStyleManager.h"

/*
 * Native implementation for:
 *                         yu.ac.bg.etf.javaqx.qswing.styles.CustomColorPalette
 */

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_styles_CustomColorPalette__1fillPalette
  (JNIEnv *env, jobject customColorPalette, jstring name)
{
  qStyleManager->fillPalette(env, customColorPalette, name);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_styles_CustomColorPalette__1fillPaletteFromColor
  (JNIEnv *env, jobject customColorPalette, jint argb)
{
  qStyleManager->fillPalette(env, customColorPalette, argb);
}

/*^*****************************************************************************
  File History:

 - 2007-10-10 17:59:46 Slobodan
   Initial version

*****************************************************************************^*/
