/*
 * @(#)TestQSwingAdapter.h  0.1.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef TESTQSTRINGADAPTER_H
#define TESTQSTRINGADAPTER_H

#ifdef JAVAQX_TEST

#include "JavaQxNUnit.h"

#include "QStringAdapter.h"

/*^**************************************************************************^*/
/*- TestQSwingAdapter Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief QString Adapter Test.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class TestQSwingAdapter : public NativeTest
{
  Q_OBJECT
public slots: // native tests
  void testConcatenate();
  void testAppend();
public:
  virtual void setUp();
  virtual void tearDown();
private:
  QStringAdapter *m_stringAdapter;
};

#endif // JAVAQX_TEST

#endif // TESTQSTRINGADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-12-30 13:11:46 Slobodan
   Initial version

*****************************************************************************^*/
