/*
 * @(#)TestPlainDocument.h  0.1.0 / 2007-12-31
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef TESTPLAINDOCUMENT_H
#define TESTPLAINDOCUMENT_H

#ifdef JAVAQX_TEST

#include "JavaQxNUnit.h"

#include "PlainDocument.h"

/*^**************************************************************************^*/
/*- TestPlainDocument Class.                                                 -*/
/*^**************************************************************************^*/

/*!
 * \brief Plain Document Test.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class TestPlainDocument : public NativeTest
{
  Q_OBJECT
public slots: // native tests
  void testSetText();
  void testAppendText();
public:
  virtual void setUp();
  virtual void tearDown();
private:
  PlainDocument *m_document;
};

#endif // JAVAQX_TEST

#endif // TESTPLAINDOCUMENT_H

/*^*****************************************************************************
  File History:

 - 2007-12-31 13:11:46 Slobodan
   Initial version

*****************************************************************************^*/
