/*
 * @(#)QSwing.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac; // NOPMD

/**
 * QSwing.
 *
 * @javaqx.native
 *    generate="jni,bridge"
 *    bridge="QApplicationAdapter"
 *    includes="QApplicationAdapter.h,QSwingBridge.h"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class QSwing {

  void _thisIsCallBack(int i) {

  }

  void _thisIsCallBack(int i, int j, int asd, String s, boolean b) {

  }

  private native void _test(long handle);

  private native void _flush(int handle, int j, String s);

  private static native void _initialize(String[] args, Class fontClass,
                                         Class colorClass);

  private static native int _exec(boolean quitOnLastWindowClosed);

  private static native void _exit(int returnCode);

  private static native void _flush(int i);

  private static native boolean _setTranslation(String fileName);

  private static native void _removeTranslation();

  private static native String _translate(String context, String sourceText);

  /*!
   * @javaqx.native
   *    code="QApplicationAdapter::aboutQt();"
   */
  private static native void _aboutQt();

  /**
   * @javaqx.native
   *    code="QApplicationAdapter::aboutQSwing();"
   */
  private static native void _aboutQSwing();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:01:38 Slobodan
   Initial version

*****************************************************************************^*/
