/*
 * @(#)QNotepadResources_sr.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.demo.qnotepad;

import java.util.ListResourceBundle;

//CS:OFF

/**
 * QNotepad Serbian Locale.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class QNotepadResources_sr extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Field.                                                    -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    {"&File", "&Датотека"},
    {"&New", "&Нова"},
    {"&Open...", "&Отвори..."},
    {"&Save", "&Сачувај"},
    {"Save &As...", "Сачувај &као..."},
    {"Page Set&up...", "&Подеси страницу..."},
    {"&Print...", "&Штампај..."},
    {"E&xit", "&Излаз"},
    {"&Edit", "&Уређивање"},
    {"&Undo", "&Опозив радње"},
    {"&Redo", "&Понављање радње"},
    {"Cu&t", "&Исеци"},
    {"&Copy", "&Копирај"},
    {"&Paste", "&Налепи"},
    {"De&lete", "Из&бриши"},
    {"Select &All", "Изабери &све"},
    {"Time/&Date", "&Датум/Време"},
    {"F&ormat", "&Обликуј"},
    {"&Wrap Word", "Аутоматски &прелом реда"},
    {"&Font...", "&Фонт..."},
    {"&View", "П&риказ"},
    {"&Status Bar", "&Статусна трака"},
    {"&Settings", "По&дешавања"},
    {"&Style", "&Стил"},
    {"&Theme", "&Тема"},
    {"&Always Use System", "&Стално системска"},
    {"&Language", "&Језик"},
    {"&Help", "&Помоћ"},
    {"About Q&Swing", "Q&Swing инфо"},
    {"About Q&t", "Q&t инфо"},
    {"The text in the ", "Текст у датотеци "},
    {" has changed.\n\nDo you want to save changes?",
     " је промењен.\n\n" +
     "Желите ли да сачувате промене?"},
     {"Displays information about QSwing.",
      "Приказ информација о QSwing-у."},
     {"Displays information about Qt.",
      "Приказ информација о Qt-у."},
     {"Clears the selected text.",
      "Брисање селектованог текста."},
     {"Copies the selected text.",
      "Копирање селектованог текста."},
     {"Cuts the selected text.",
      "Исецање селектованог текста."},
     {"Deletes the selected text.",
      "Брисање селектованог текста."},
     {"Creates a new document.",
      "Креирање новог документа."},
     {"Opens an existing document.",
      "Отварање постојећег документа."},
     {"Shows page setup dialog.",
      "Приказ дијалога за подешавање странице."},
     {"Paste the text in the clipboard.",
      "Налепљивање исеченог текста."},
     {"Prints the current document.",
      "Штампање текућег документа."},
     {"Saves the current document.",
      "Снимање текућег документа."},
     {"Saves the current document with the new name.",
      "Снимање текућег документа са новим именом."},
     {"Selects all the text.",
      "Селектовање читавог текста."},
     {"Undo last edit.",
      "Опозив последње радње."},
     {"Redo last edit.",
      "Понављање последње радње."},
     {"Exits the application.",
       "Излаз из програма."}
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

//CS:ON

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:36:10 Slobodan
   Initial version

*****************************************************************************^*/
