package yu.ac.bg.etf.javaqx.demo.qsvs.qswing;

import yu.ac.bg.etf.javaqx.qswing.JQButton;
import yu.ac.bg.etf.javaqx.qswing.JQMenu;
import yu.ac.bg.etf.javaqx.qswing.JQMenuBar;
import yu.ac.bg.etf.javaqx.qswing.JQMenuItem;
import yu.ac.bg.etf.javaqx.qswing.events.ActionEvent;
import yu.ac.bg.etf.javaqx.qswing.events.ActionListener;
import yu.ac.bg.etf.javaqx.qswingx.JQMainFrame;

/**
 * Generic Application.
 */
public class JQGenericApplication {

  public static void main(String[] args) {
    JQMainFrame frame = new JQMainFrame("Generic Application"); // <-- SD
    JQMenuBar menuBar = frame.setMenuBar(new JQMenuBar()); // <-- SD+
    JQMenu fileMenu = menuBar.add(new JQMenu("File")); // <-- SD+
    JQMenuItem exitMenuItem = fileMenu.add(new JQMenuItem("Exit")); // <-- SD+
    JQButton button = new JQButton("Close");
    frame.add(button); // <-- SD+
    ActionListener closeListener = new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        System.exit(0);
      }
    };
    button.addActionListener(closeListener);
    exitMenuItem.addActionListener(closeListener);
    frame.pack();
    frame.show();
  }

}
