package yu.ac.bg.etf.javaqx.demo.qsvs.qswing;

import yu.ac.bg.etf.javaqx.qswing.BoundedRangeModel;
import yu.ac.bg.etf.javaqx.qswing.DefaultBoundedRangeModel;
import yu.ac.bg.etf.javaqx.qswing.JQFrame;
import yu.ac.bg.etf.javaqx.qswing.JQProgressBar;
import yu.ac.bg.etf.javaqx.qswing.JQScrollBar;
import yu.ac.bg.etf.javaqx.qswing.JQSlider;
import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.layouts.GridLayout;

/**
 * Model View Controller.
 */
public class MVC {

  public static void main(String[] args) {
    JQFrame frame = new JQFrame("MVC");
    frame.setDefaultCloseOperation(JQFrame.EXIT_ON_CLOSE);
    GridLayout layout = new GridLayout(3, 1, 8, 8);
    frame.setLayout(layout); // <-- SD
    BoundedRangeModel model =
        new DefaultBoundedRangeModel(50, 0, 0, 100);
    frame.add(new JQSlider(model)); // <-- SD
    frame.add(new JQProgressBar(model)); // <-- SD
    JQScrollBar scrollBar =
        new JQScrollBar(JQScrollBar.HORIZONTAL);
    scrollBar.setModel(model);
    frame.add(scrollBar); // <-- SD
    frame.setBounds(100, 100, 200, 100);
    frame.setVisible(true);
    QSwing.startEventLoop(true); // <-- SD-
  }

}
