/*
 * @(#)Example5BorderLayout.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.examples;

import yu.ac.bg.etf.javaqx.qswing.JQButton;
import yu.ac.bg.etf.javaqx.qswing.JQPanel;
import yu.ac.bg.etf.javaqx.qswing.QSwing;
import yu.ac.bg.etf.javaqx.qswing.layouts.BorderLayout;

/**
 * BorderLayout Example.
 */
public class Example5BorderLayout {

  public static void main(String[] args) {
    JQPanel panelContainer = new JQPanel(new BorderLayout());
    panelContainer.setName("Border Layout");
    panelContainer.add(new JQButton("NORTH"), BorderLayout.NORTH);
    panelContainer.add(new JQButton("WEST"), BorderLayout.WEST);
    panelContainer.add(new JQButton("SOUTH"), BorderLayout.SOUTH);
    panelContainer.add(new JQButton("EAST"), BorderLayout.EAST);
    JQPanel panel = new JQPanel(new BorderLayout());
    panel.add(new JQButton("NORTH"), BorderLayout.NORTH);
    panel.add(new JQButton("WEST"), BorderLayout.WEST);
    panel.add(new JQButton("SOUTH"), BorderLayout.SOUTH);
    panel.add(new JQButton("EAST"), BorderLayout.EAST);
    panel.add(new JQButton("CENTER"), BorderLayout.CENTER);
    panelContainer.add(panel);
    panelContainer.setSize(600, 400);
    panelContainer.setVisible(true);
    QSwing.startEventLoop(true);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:30:54 Slobodan
   Initial version

*****************************************************************************^*/
