/*
 * @(#)JavaQxInfo.java  0.2.0 / 2007-09-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx;

/**
 * Information about the library and environment.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public final class JavaQxInfo {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * The library version (the value is {@value}).
   */
  public static final int LIBRARY_VERSION = 0x000200;

  /**
   * The library version string (the value is {@value}).
   */
  public static final String LIBRARY_VERSION_STRING = "0.2.0"; //$NON-NLS-1$

  /**
   * The library date string (the value is {@value}).
   */
  public static final String LIBRARY_DATE_STRING =
                                            "December 30, 2007"; //$NON-NLS-1$

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Class has no instances.
   */
  private JavaQxInfo() {
    // empty constructor body
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-11 17:56:41 Slobodan
   Initial version

*****************************************************************************^*/
