/*
 * @(#)DisposedError.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.core;

/**
 * Disposed Error.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class DisposedError extends Error {

/*^**************************************************************************^*/
/*- Private Static Field.                                                    -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -4864303572243156855L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new DisposedError object.
   */
  public DisposedError() {
    super("Object disposed"); //$NON-NLS-1$
  }

  /**
   * Constructs new DisposedError object.
   *
   * @param message the error message
   */
  public DisposedError(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:20:24 Slobodan
   Initial version

*****************************************************************************^*/
