/*
 * @(#)DisposeEvent.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.core.events;

import java.util.EventObject;

import yu.ac.bg.etf.javaqx.core.Disposable;

/**
 * Dispose Event.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class DisposeEvent extends EventObject {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 4848291648109904835L;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new DisposeEvent object.
   *
   * @param source the source of the event
   */
  public DisposeEvent(Disposable source) {
    super(source);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:08:56 Slobodan
   Initial version

*****************************************************************************^*/
