/*
 * @(#)DisposeListener.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.core.events;

import java.util.EventListener;

/**
 * Dispose Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface DisposeListener extends EventListener {

  /**
   * Notifies listener that object is disposed.
   *
   * @param e the dispose event
   */
  public void objectDisposed(DisposeEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:09:16 Slobodan
   Initial version

*****************************************************************************^*/
