/*
 * @(#)GLException.java  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.opengl;

/**
 * OpenGL Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class GLException extends RuntimeException {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 3873881065771221056L;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new GLException object.
   */
  public GLException() {
    super();
  }

  /**
   * Constructs new GLException object.
   *
   * @param message the error message
   */
  public GLException(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-05 01:00:57 Slobodan
   Initial version

*****************************************************************************^*/
