/*
 * @(#)JQToolWindow.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

/**
 * Tool Window Component.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JQToolWindow extends JQWindow {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JQToolWindow object.
   */
  public JQToolWindow() {
    this(null);
  }

  /**
   * Constructs new JQToolWindow object.
   *
   * @param title the window title
   */
  public JQToolWindow(String title) {
    super(title);
    windowType = TYPE_TOOL;
  }

/*^**************************************************************************^*/
/*- Package-Private Native Method.                                           -*/
/*^**************************************************************************^*/

  native long _create();

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 18:56:29 Slobodan
   Initial version

*****************************************************************************^*/
