/*
 * @(#)ActionListener.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Action Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ActionListener extends EventListener {

  /**
   * Notifies listener that action has occurred.
   *
   * @param e the action event
   */
  public void actionPerformed(ActionEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 13:38:08 Slobodan
   Initial version

*****************************************************************************^*/
