/*
 * @(#)ChangeListener.java  0.2.0 / 2007-09-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Change Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface ChangeListener extends EventListener {

  /**
   * Notifies listener that state has changed.
   *
   * @param e the change event
   */
  public void stateChanged(ChangeEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-09-18 20:22:19 Slobodan
   Initial version

*****************************************************************************^*/
