/*
 * @(#)FocusAdapter.java  0.2.0 / 2007-09-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Abstract Focus Adapter.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class FocusAdapter implements FocusListener {

/*^**************************************************************************^*/
/*- FocusListener Interface Implementation.                                  -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void focusGained(FocusEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void focusLost(FocusEvent e) {
    // empty method
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-27 20:18:39 Slobodan
   Initial version

*****************************************************************************^*/
