/*
 * @(#)KeyAdapter.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Abstract Key Adapter.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class KeyAdapter implements KeyListener {

/*^**************************************************************************^*/
/*- KeyListener Interface Implementation.                                    -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void keyPressed(KeyEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void keyReleased(KeyEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void keyTyped(KeyEvent e) {
    // empty method
 }

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 14:09:37 Slobodan
   Initial version

*****************************************************************************^*/
