/*
 * @(#)MouseMotionAdapter.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Abstract Mouse Motion Adapter.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class MouseMotionAdapter implements MouseMotionListener {

/*^**************************************************************************^*/
/*- MouseMotionListener Interface Implementation.                            -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void mouseMoved(MouseEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void mouseDragged(MouseEvent e) {
    // empty method
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 15:09:49 Slobodan
   Initial version

*****************************************************************************^*/
