/*
 * @(#)StyleListener.java  0.2.0 / 2007-10-10
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

import java.util.EventListener;

/**
 * Style Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface StyleListener extends EventListener {

  /**
   * Notifies listener that style has changed.
   *
   * @param e the style event
   */
  public void styleChanged(ChangeEvent e);

}

/*^*****************************************************************************
  File History:

 - 2007-10-10 20:30:33 Slobodan
   Initial version

*****************************************************************************^*/
