/*
 * @(#)WindowAdapter.java  0.2.0 / 2007-09-26
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.events;

/**
 * Abstract Window Adapter.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public abstract class WindowAdapter implements WindowListener {

/*^**************************************************************************^*/
/*- WindowListener Implementation.                                           -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void windowOpened(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowClosing(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowClosed(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowActivated(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowDeactivated(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowGainedFocus(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowLostFocus(WindowEvent e) {
    // empty method
  }

  /**
   * {@inheritDoc}
   */
  public void windowStateChanged(WindowEvent e) {
    // empty method
  }

}

/*^*****************************************************************************
  File History:

 - 2007-09-26 15:57:59 Slobodan
   Initial version

*****************************************************************************^*/
