/*
 * @(#)UnsupportedImageFormat.java  0.2.0 / 2007-12-23
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.graphics;

import java.io.IOException;

/**
 * Unsupported Image Format Exception.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class UnsupportedImageFormat extends IOException {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -5772719089787671647L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new UnsupportedImageFormat object.
   */
  public UnsupportedImageFormat() {
    super();
  }

  /**
   * Constructs new UnsupportedImageFormat object.
   *
   * @param message the error message
   */
  public UnsupportedImageFormat(String message) {
    super(message);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-23 18:28:37 Slobodan
   Initial version

*****************************************************************************^*/
