/*
 * @(#)EmptyListModel.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.list;

/**
 * Empty List Model.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class EmptyListModel extends AbstractListModel {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new EmptyListModel object.
   */
  public EmptyListModel() { // NOPMD
    // empty constructor body
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public Object getElementAt(int index) {
    return "No Data Model"; //$NON-NLS-1$
  }

  /**
   * {@inheritDoc}
   */
  public int getSize() {
    return 0;
  }

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:06:27 Slobodan
   Initial version

*****************************************************************************^*/
