/*
 * @(#)JQContainerProperties.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQContainer Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQContainerProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>layout manager</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_LAYOUT_MANAGER =
                               "layoutManager"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:08:50 Slobodan
   Initial version

*****************************************************************************^*/
