/*
 * @(#)JQPanelProperties.java  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQPanel Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQPanelProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>panelType</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_PANEL_TYPE = "panelType"; //$NON-NLS-1$

  /**
   * The <tt>borderStyle</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BORDER_STYLE =
                                                   "borderStyle"; //$NON-NLS-1$

  /**
   * The <tt>borderWidth</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BORDER_WIDTH =
                                                   "borderWidth"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-21 21:49:13 Slobodan
   Initial version

*****************************************************************************^*/
