/*
 * @(#)JQRadioButtonMenuItemProperties.java  0.2.0 / 2007-11-14
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQRadioButtonMenuItem Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQRadioButtonMenuItemProperties extends JQMenuItemProperties {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /* Bound Property */

  /**
   * The <tt>selected</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_SELECTED = "selected"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-14 12:41:44 Slobodan
   Initial version

*****************************************************************************^*/

