/*
 * @(#)JQScrollBarProperties.java  0.2.0 / 2007-11-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQProgressBar Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQScrollBarProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>model</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_MODEL = "model"; //$NON-NLS-1$

  /**
   * The <tt>orientation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ORIENTATION = "orientation"; //$NON-NLS-1$

  /**
   * The <tt>unitIncrement</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_UNIT_INCREMENT =
                                                  "unitIncrement"; //$NON-NLS-1$

  /**
   * The <tt>blockIncrement</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_BLOCK_INCREMENT =
                                                 "blockIncrement"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-05 22:19:02 Slobodan
   Initial version

*****************************************************************************^*/
