/*
 * @(#)JQSeparatorProperties.java  0.2.0 / 2007-11-09
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQProgressBar Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQSeparatorProperties {

/*^**************************************************************************^*/
/*- Public Static Field.                                                     -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>orientation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ORIENTATION = "orientation"; //$NON-NLS-1$

  /**
   * The <tt>text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TEXT = "text"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-09 17:29:50 Slobodan
   Initial version

*****************************************************************************^*/
