/*
 * @(#)JQSplitPaneProperties.java  0.2.0 / 2007-12-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQProgressBar Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQSplitPaneProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>orientation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ORIENTATION = "orientation"; //$NON-NLS-1$

  /**
   * The <tt>continuousLayout</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_CONTINUOUS_LAYOUT =
                                               "continuousLayout"; //$NON-NLS-1$

  /**
   * The <tt>resizeWeight</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_RESIZE_WEIGHT =
                                                   "resizeWeight"; //$NON-NLS-1$

  /**
   * The <tt>dividerSize</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DIVIDER_SIZE =
                                                    "dividerSize"; //$NON-NLS-1$

  /**
   * The <tt>dividerLocation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DIVIDER_LOCATION =
                                                "dividerLocation"; //$NON-NLS-1$

  /**
   * The <tt>oneTouchExpandable</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ONE_TOUCH_EXPANDABLE =
                                             "oneTouchExpandable"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-12-04 19:46:38 Slobodan
   Initial version

*****************************************************************************^*/
