/*
 * @(#)JQStatusBarProperties.java  0.2.0 / 2007-11-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQProgressBar Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQStatusBarProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>statusMessage</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_STATUS_MESSAGE =
                                                 "statusMessage"; //$NON-NLS-1$

  /**
   * The <tt>sizeGripEnabled</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_SIZEGRIP_ENABLED =
                                               "sizeGripEnabled"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-07 08:16:28 Slobodan
   Initial version

*****************************************************************************^*/
