/*
 * @(#)JQTabbedPaneProperties.java  0.2.0 / 2007-11-18
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQTabbedPane Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQTabbedPaneProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>tabPlacement format</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TAB_PLACEMENT =
                                                  "tabPlacement"; //$NON-NLS-1$

  /**
   * The <tt>tabLayoutPolicy</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TAB_LAYOUT_POLICY =
                                               "tabLayoutPolicy"; //$NON-NLS-1$

  /**
   * The <tt>selectedIndex</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_SELECTED_INDEX =
                                                 "selectedIndex"; //$NON-NLS-1$

  /**
   * The <tt>selectedIndex</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_INDEX_FOR_TITLE =
                                                "indexForTitle"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-18 17:12:04 Slobodan
   Initial version

*****************************************************************************^*/
