/*
 * @(#)JQTextAreaProperties.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQTextArea Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQTextAreaProperties {

/*^**************************************************************************^*/
/*- Public Static Field.                                                     -*/
/*^**************************************************************************^*/

  /* Bound Propertiy */

  /**
   * The <tt>wrap text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_WRAP_TEXT = "wrapText"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:09:25 Slobodan
   Initial version

*****************************************************************************^*/
