/*
 * @(#)JQTextFieldProperties.java  0.2.0 / 2007-12-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQTextField Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQTextFieldProperties {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TEXT = "text"; //$NON-NLS-1$

  /**
   * The <tt>horizontalAlignment</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_HORIZONTAL_ALIGNMENT =
                                           "horizontalAlignment"; //$NON-NLS-1$

  /**
   * The <tt>actionCommand</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ACTION_COMMAND =
                                                 "actionCommand"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-12-07 19:21:19 Slobodan
   Initial version

*****************************************************************************^*/
