/*
 * @(#)JQTextProperty.java  0.2.0 / 2007-05-04
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQText Property.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQTextProperty {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>text</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TEXT = "text"; //$NON-NLS-1$

  /**
   * The <tt>mnemonic</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_MNEMONIC = "mnemonic"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-05-04 19:08:56 Slobodan
   Initial version

*****************************************************************************^*/
