/*
 * @(#)JQToggleButtonProperties.java  0.2.0 / 2007-11-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * JQToggleButton Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface JQToggleButtonProperties {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>disabledSelectedIcon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_DISABLED_SELECTED_ICON =
                                          "disabledSelectedIcon"; //$NON-NLS-1$

  /**
   * The <tt>selectedIcon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_SELECTED_ICON =
                                                  "selectedIcon"; //$NON-NLS-1$

  /**
   * The <tt>rolloverSelectedIcon</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_ROLLOVER_SELECTED_ICON =
                                          "rolloverSelectedIcon"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-11-27 09:57:32 Slobodan
   Initial version

*****************************************************************************^*/
