/*
 * @(#)QSwingProperties.java  0.2.0 / 2007-10-16
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.properties;

/**
 * QSwing Properties.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface QSwingProperties {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /* Bound Properties */

  /**
   * The <tt>locale</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_LOCALE = "locale"; //$NON-NLS-1$

  /**
   * The <tt>translation</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_TRANSLATION = "translation"; //$NON-NLS-1$

  /**
   * The <tt>style</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_STYLE = "style"; //$NON-NLS-1$

  /**
   * The <tt>theme</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_THEME = "theme"; //$NON-NLS-1$

  /**
   * The <tt>styleSheet</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_STYLE_SHEET = "styleSheet"; //$NON-NLS-1$

  /**
   * The <tt>styleSheet</tt> property (the value is {@value}).
   */
  public static final String PROPERTY_CUSTOM = "customProperty"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2007-10-16 13:48:20 Slobodan
   Initial version

*****************************************************************************^*/
