/*
 * @(#)PlainDocument.java  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing.text;

/**
 * Plain Text Document.
 *
 * @javaqx.native
 *    generate="header"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class PlainDocument extends TextDocument {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new PlainDocument object.
   */
  public PlainDocument() {
    super();
  }

  /**
   * Constructs new PlainDocument object.
   *
   * @param text the text
   */
  public PlainDocument(String text) {
    super(text);
  }

/*^**************************************************************************^*/
/*- Package-Private Native Methods.                                          -*/
/*^**************************************************************************^*/

  native long _create();

}

/*^*****************************************************************************
  File History:

 - 2007-12-11 13:51:47 Slobodan
   Initial version

*****************************************************************************^*/
