/*
 * @(#)TestJavaQx.java  0.2.0 / 2007-01-29
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx;

import junit.framework.TestCase;

/**
 * JavaQx Test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestJavaQx extends TestCase {

/*^**************************************************************************^*/
/*- Test Methods.                                                            -*/
/*^**************************************************************************^*/

  /**
   * Tests JavaQx.initialize() method.
   */
  public void testExecInitialized() {
    assertTrue(JavaQx.isInitialized());
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void setUp()throws Exception {
    JavaQx.initialize();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-01-29 12:14:16 Slobodan
   Initial version

*****************************************************************************^*/
