/*
 * @(#)TestSuiteUtil.java  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.util;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.nunit.TestPackage;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.util</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageUtil extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>yu.ac.bg.etf.javaqx.util</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx.util</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageUtil.class);
    suite.addTestSuite(TestUtilities.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageUtil.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-11 21:53:27 Slobodan
   Initial version

*****************************************************************************^*/
