/*
 * @(#)TestUtilities.java  0.2.0 / 2007-12-11
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.util;

import junit.framework.TestCase;

/**
 * Utilities Test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestUtilities extends TestCase {

/*^**************************************************************************^*/
/*- Test Methods.                                                            -*/
/*^**************************************************************************^*/

  /**
   * Tests <tt>equals</tt> method.
   */
  public void testEquals() {
    Object obj1 = ""; //$NON-NLS-1$
    Object obj2 = ""; //$NON-NLS-1$
    assertTrue(Utilities.equals(obj1, obj2)); // NOPMD
    obj1 = null;
    assertFalse(Utilities.equals(obj1, obj2)); // NOPMD
    obj2 = null;
    assertTrue(Utilities.equals(obj1, obj2)); // NOPMD NOFB
    obj2 = ""; //$NON-NLS-1$
    assertFalse(Utilities.equals(obj1, obj2)); // NOPMD
    obj1 = ""; //$NON-NLS-1$
    assertTrue(Utilities.equals(obj1, obj2)); // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-11 21:43:45 Slobodan
   Initial version

*****************************************************************************^*/
