/*
 * @(#)TestPackageQSwing.java  0.1.0 / 2007-06-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswing;

import junit.framework.Test;
import junit.framework.TestSuite;

import yu.ac.bg.etf.javaqx.nunit.TestPackage;

/**
 * Package <tt>yu.ac.bg.etf.javaqx.qswing</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestPackageQSwing extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>yu.ac.bg.etf.javaqx.qswing</tt>.
   *
   * @return test suit for the package <tt>yu.ac.bg.etf.javaqx.qswing</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(TestPackageQSwing.class);
    /** @todo  Finish */
    //suite.addTest(TestPackageEvents.suite());
    //suite.addTest(TestPackageGraphics.suite());
    //suite.addTest(TestPackageLayouts.suite());
    //suite.addTest(TestPackageList.suite());
    //suite.addTest(TestPackagePrint.suite());
    //suite.addTest(TestPackageStyles.suite());
    //suite.addTest(TestPackageTable.suite());
    //suite.addTest(TestPackageTree.suite());
    suite.addTestSuite(TestQSwing.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(TestPackageQSwing.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2007-06-05 23:25:23 Slobodan
   Initial version

*****************************************************************************^*/
