/*
 * @(#)TestJQThemeMenu.java  0.2.0 / 2007-12-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.qswingx;

import junit.framework.TestCase;

import yu.ac.bg.etf.javaqx.qswing.QSwing;

/**
 * JQThemeMenu Test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class TestJQThemeMenu extends TestCase {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private JQThemeMenu themeMenu = null;

/*^**************************************************************************^*/
/*- Test Methods.                                                            -*/
/*^**************************************************************************^*/

  /**
   * Tests <tt>installed themes</tt> method.
   */
  public void testExecThemeCount() {
    assertEquals(themeMenu.getComponentCount() - 2,
                 QSwing.getInstalledThemes().length);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void setUp() throws Exception {
    themeMenu = new JQThemeMenu();
  }

  /**
   * {@inheritDoc}
   */
  protected void tearDown() throws Exception {
    themeMenu = null;
    QSwing.dispose();
  }

}

/*^*****************************************************************************
  File History:

 - 2007-12-30 13:42:12 Slobodan
   Initial version

*****************************************************************************^*/
