/*
 * @(#)QStringListAdapter.h  0.2.0 / 2007-09-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QSTRINGLISTADAPTER_H
#define QSTRINGLISTADAPTER_H

#include "JavaQxCommon.h"

#include <QStringList>

/*^**************************************************************************^*/
/*- QStringListAdapter Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief QString Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QStringListAdapter : public QStringList
{
public:
  QStringListAdapter(JNIEnv *env, jobjectArray stringArray);
public:
  static jobjectArray toJStringArray(JNIEnv *env,
                                     const QStringList &stringList);
};

#endif // QSTRINGLISTADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-09-07 18:03:23 Slobodan
   Initial version

*****************************************************************************^*/
