#/*
# * @(#)debug.pro  0.1.0 / 2007-04-13
# *
# * Copyright (c) 2007, ETF and contributors. All rights reserved.
# *
# * The contents of this file are licensed under the LGPL, version 2.1, license.
# * A copy of the license is included in the file LICENSE-LGPL.txt.
# */

message("debug.pro project file")

#*^**************************************************************************^*/
#*- Debug Launcher :: Project File.                                          -*/
#*^**************************************************************************^*/

TARGET = _debug-java
CONFIG -= qt gui
QT =
INCLUDEPATH += ../
DESTDIR = ./tmp
DEPENDPATH += .
OBJECTS_DIR += ./tmp/obj/release
win32 {
  RCC_DIR = ./tmp/res/release
  RC_FILE = debug.rc
}

CONFIG += release
DEFINES -= UNICODE

# Libraries
win32:LIBS += -luser32 -ladvapi32

#/*^*************************************************************************^*/
#/*- Debug Launcher :: JNI Files.                                            -*/
#/*^*************************************************************************^*/

win32 {
  INCLUDEPATH += ../../../include/win32/sun-jvm \
                 ../../../include/win32/sun-jvm/win32
}
unix {
  INCLUDEPATH += ../../../include/linux/sun-jvm \
                 ../../../include/linux/sun-jvm/linux
}
solaris {
  INCLUDEPATH += ../../../include/solaris/sun-jvm \
                 ../../../include/solaris/sun-jvm/solaris
}

#/*^*************************************************************************^*/
#/*- Debug Launcher :: Files.                                                -*/
#/*^*************************************************************************^*/

#Header files
HEADERS += ../Launcher.h

# Source Files
SOURCES += ./DebugLauncher.cpp
win32 {
  SOURCES += ../platform/win32/Launcher.cpp
}
unix {
  SOURCES += ../platform/linux/Launcher.cpp
}
solaris {
  SOURCES += ../platform/solaris/Launcher.cpp
}

#/*^*************************************************************************^*/
#/*- Debug Launcher :: Post Link.                                            -*/
#/*^*************************************************************************^*/

win32 {
  TARGET_EXE = $${TARGET}.exe
  SRC_EXE = .\\tmp\\$$TARGET_EXE
  DEST_EXE = ..\\..\\..\\..\\..\\bin\\$$TARGET_EXE

  QMAKE_POST_LINK = copy $$SRC_EXE $$DEST_EXE
  QMAKE_CLEAN += $$SRC_EXE $$DEST_EXE
}

#/*^****************************************************************************
#  File History:
#
# - 2007-04-12 14:20:51 Slobodan
#   Initial version
#
#****************************************************************************^*/
