/*
 * @(#)yu_ac_bg_etf_javaqx_nunit_NativeTest.cpp  0.2.0 / 2007-09-07
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_nunit_NativeTest.h"

#ifdef JAVAQX_TEST

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.nunit.NativeTest
 */

#include "NativeTestRegistry.h"

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1setUp
  (JNIEnv *env, jobject, jlong testCase)
{
  nativeTest->setUp(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1tearDown
  (JNIEnv *env, jobject, jlong testCase)
{
  nativeTest->tearDown(env);
}

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1invokeMethod
  (JNIEnv *env, jobject obj, jlong testCase, jstring methodName)
{
  return nativeTest->invokeMethod(env, obj, methodName);
}

JNIEXPORT jobjectArray JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1getTestModules
  (JNIEnv *env, jclass)
{
  return NativeTestRegistry::getTestModules(env);
}

JNIEXPORT jobjectArray JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1getTestCases
  (JNIEnv *env, jclass, jstring testModule)
{
  return NativeTestRegistry::getTestCases(env, testModule);
}

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1createTestCase
  (JNIEnv *env, jclass, jstring testModule, jstring testCase)
{
  return NativeTestRegistry::createTestCase(env, testModule, testCase);
}

JNIEXPORT jobjectArray JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1getTests
  (JNIEnv *env, jclass, jlong testCase)
{
  return nativeTest->getTestMethods(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTest__1initialize
  (JNIEnv *env, jclass cls)
{
  NativeTest::initialize(env, cls);
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-09-07 08:12:49 JavaQx Native Generator
   Initial version

*****************************************************************************^*/
