/*
 * @(#)yu_ac_bg_etf_javaqx_nunit_NativeTestCase.cpp  0.2.0 / 2007-02-02
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_nunit_NativeTestCase.h"

#ifdef JAVAQX_TEST

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.nunit.NativeTestCase
 */

#include "NativeTestCase.h"

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTestCase__1createTestObject
  (JNIEnv *, jobject)
{
  return 0;
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTestCase__1deleteTestObject
  (JNIEnv *, jobject, jlong testObject)
{
  if (testObject) {
    delete nativeTestCase;
  }
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_nunit_NativeTestCase__1initialize
  (JNIEnv *env, jclass cls)
{
  NativeTestCase::initialize(env, cls);
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-02-02 21:27:15 Slobodan
   Initial version

*****************************************************************************^*/
