/*
 * @(#)QGLWidgetAdapter.h  0.2.0 / 2007-08-17
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QGLWIDGETADAPTER_H
#define QGLWIDGETADAPTER_H

#include "JavaQxOpenGL.h"

/*^**************************************************************************^*/
/*- QGLWidgetAdapter Class.                                                  -*/
/*^**************************************************************************^*/

class GLJQComponentBridge;

/*!
 * \brief QGLWidget Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QGLWidgetAdapter : public QGLWidget
{
public:
  QGLWidgetAdapter(GLJQComponentBridge *glComp);
protected:
  void initializeGL();
  void resizeGL(int width, int height);
  void paintGL();
private:
  GLJQComponentBridge *m_glComp;
};

#endif // QGLWIDGETADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-08-17 16:58:11 Slobodan
   Initial version

*****************************************************************************^*/
