/*
 * @(#)InternalFrameWidget.h  0.2.0 / 2007-11-20
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QWIDGETADAPTER_H
#define QWIDGETADAPTER_H

#include "JavaQxQSwing.h"

#include "JQInternalFrameBridge.h"

/*^**************************************************************************^*/
/*- InternalFrameWidget Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief QWidget Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT InternalFrameWidget : public QWidget
{
public:
  InternalFrameWidget(JQInternalFrameBridge *bridge);
public:
  virtual QSize sizeHint() const;
protected:
  JQInternalFrameBridge *m_bridge;
};

#endif // QWIDGETADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-20 14:11:27 Slobodan
   Initial version

*****************************************************************************^*/
