/*
 * @(#)QCheckBoxAdapter.h  0.2.0 / 2007-11-27
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QCHECKBOXADAPTER_H
#define QCHECKBOXADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QCheckBoxAdapter Class.                                                  -*/
/*^**************************************************************************^*/

/*!
 * \brief QCheckBox Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QCheckBoxAdapter : public QCheckBox
{
public:
  QCheckBoxAdapter();
public:
  virtual QSize sizeHint() const;
protected:
  void paintEvent(QPaintEvent *e);
};

#endif // QCHECKBOXADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-27 15:58:07 Slobodan
   Initial version

*****************************************************************************^*/
