/*
 * @(#)QRadioButtonAdapter.h  0.2.0 / 2007-11-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef QRADIOBUTTONADAPTER_H
#define QRADIOBUTTONADAPTER_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- QRadioButtonAdapter Class.                                               -*/
/*^**************************************************************************^*/

/*!
 * \brief QRadioButton Adapter.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT QRadioButtonAdapter : public QRadioButton
{
public:
  QRadioButtonAdapter();
public:
  virtual QSize sizeHint() const;
protected:
  void paintEvent(QPaintEvent *e);
};

#endif // QRADIOBUTTONADAPTER_H

/*^*****************************************************************************
  File History:

 - 2007-11-28 08:44:17 Slobodan
   Initial version

*****************************************************************************^*/
