/*
 * @(#)JQCheckBoxBridge.h  0.2.0 / 2007-11-21
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQCHECKBOXBRIDGE_H
#define JQCHECKBOXBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQToggleButtonBridge.h"

/*^**************************************************************************^*/
/*- JQCheckBoxBridge Class.                                                  -*/
/*^**************************************************************************^*/

/*!
 * \brief JQCheckBox Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQCheckBoxBridge : public JQToggleButtonBridge
{
  Q_OBJECT
protected:
  JQCheckBoxBridge(JNIEnv *env, jobject obj);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqCheckBoxBridge (reinterpret_cast<JQCheckBoxBridge *>(bridge))

#endif //JQCHECKBOXBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-21 17:12:40 Slobodan
   Initial version

*****************************************************************************^*/
