/*
 * @(#)JQOptionPaneBridge.h  0.2.0 / 2007-11-30
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQOPTIONPANEBRIDGE_H
#define JQOPTIONPANEBRIDGE_H

#include "JavaQxQSwing.h"

/*^**************************************************************************^*/
/*- JQOptionPaneBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief JQOptionPane Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQOptionPaneBridge
{
public: // native calls
  static jint showMessage(JNIEnv *env, jclass cls, jint messageType,
                          jlong parentBridge, jstring text, jstring title,
                          jint options, jint defaultOption);

};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqOptionPaneBridge (reinterpret_cast<JQOptionPaneBridge *>(bridge))

#endif //JQOPTIONPANEBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-30 00:50:39 Slobodan
   Initial version

*****************************************************************************^*/
