/*
 * @(#)JQToolWindowBridge.h  0.2.0 / 2007-11-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef JQTOOLWINDOWBRIDGE_H
#define JQTOOLWINDOWBRIDGE_H

#include "JavaQxQSwing.h"

#include "JQWindowBridge.h"

/*^**************************************************************************^*/
/*- JQToolWindowBridge Class.                                                -*/
/*^**************************************************************************^*/

/*!
 * \brief JQToolWindow Bridge.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class JAVAQX_EXPORT JQToolWindowBridge : public JQWindowBridge
{
  Q_OBJECT
protected:
  JQToolWindowBridge(JNIEnv *env, jobject obj);
public: // native calls
  static jlong newInstance(JNIEnv *env, jobject obj);
};

/*^**************************************************************************^*/
/*- Macro Definition.                                                        -*/
/*^**************************************************************************^*/

#define jqToolWindowBridge (reinterpret_cast<JQToolWindowBridge *>(bridge))

#endif //JQTOOLWINDOWBRIDGE_H

/*^*****************************************************************************
  File History:

 - 2007-11-03 18:14:24 Slobodan
   Initial version

*****************************************************************************^*/
