/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_JQTimer.cpp  0.2.0 / 2007-09-05
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_JQTimer.h"

#include "JQTimerBridge.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.JQTimer
 */

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQTimer__1create
  (JNIEnv *env, jobject obj, jint delay, jint initialDelay, jboolean singleShot)
{
  return JQTimerBridge::newInstance(env, obj, delay, initialDelay, singleShot);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQTimer__1destroy
  (JNIEnv *env, jobject, jlong bridge)
{
  jqTimerBridge->destroy(env);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQTimer__1setInterval
  (JNIEnv *env, jobject, jlong bridge, jint interval)
{
  jqTimerBridge->setInterval(env, interval);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQTimer__1setSingleShot
  (JNIEnv *env, jobject, jlong bridge, jboolean singleShot)
{
  jqTimerBridge->setSingleShot(env, singleShot);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_JQTimer__1initialize
  (JNIEnv *env, jclass cls)
{
  JQTimerBridge::initialize(env, cls);
}

/*^*****************************************************************************
  File History:

 - 2007-09-05 17:40:17 Slobodan
   Initial version

*****************************************************************************^*/
