/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_QSwing.cpp  0.2.0 / 2007-09-15
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_QSwing.h"

#include "QApplicationAdapter.h"
#include "QSwingBridge.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.QSwing
 */

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1dispose
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::dispose(env, cls);
}

JNIEXPORT jint JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1exec
  (JNIEnv *env, jclass cls, jboolean quitOnLastWindowClosed)
{
  return QSwingBridge::exec(env, cls, quitOnLastWindowClosed);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1exit
  (JNIEnv *env, jclass cls, jint returnCode)
{
  QSwingBridge::exit(env, cls, returnCode);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1flush
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::flush(env, cls);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1disableNativeLogging
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::disableNativeLogging(env, cls);
}

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setTranslation
  (JNIEnv *env, jclass cls, jstring fileName)
{
  return QSwingBridge::setTranslation(env, cls, fileName);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1removeTranslation
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::removeTranslation(env, cls);
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1translate
  (JNIEnv *env, jclass cls, jstring context, jstring sourceText)
{
  return QSwingBridge::translate(env, cls, context, sourceText);
}

JNIEXPORT jobjectArray JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1availableStyles
  (JNIEnv *env, jclass, jclass systemStyleClass)
{
  return QSwingBridge::availableStyles(env, systemStyleClass);
}

JNIEXPORT jboolean JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setStyle
  (JNIEnv *env, jclass cls, jstring name)
{
  return QSwingBridge::setStyle(env, cls, name);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setStyleSheet
  (JNIEnv *env, jclass cls, jstring styleSheetText)
{
  QSwingBridge::setStyleSheet(env, cls, styleSheetText);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setOverrideCursor
  (JNIEnv *env, jclass cls, jint type)
{
  QSwingBridge::setOverrideCursor(env, cls, type);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1changeOverrideCursor
  (JNIEnv *env, jclass cls, jint type)
{
  QSwingBridge::changeOverrideCursor(env, cls, type);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1restoreOverrideCursor
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::restoreOverrideCursor(env, cls);
}

JNIEXPORT jobjectArray JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1availableThemes
  (JNIEnv *env, jclass, jclass systemThemeClass)
{
  return QSwingBridge::availableThemes(env, systemThemeClass);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setTheme
  (JNIEnv *env, jclass cls, jobject colorPalette, jobject fontSet)
{
  QSwingBridge::setTheme(env, cls, colorPalette, fontSet);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setUseSystemTheme
  (JNIEnv *env, jclass cls, jboolean useSystemTheme)
{
  QSwingBridge::setUseSystemTheme(env, cls, useSystemTheme);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1aboutQt
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::aboutQt(env, cls);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1aboutQSwing
  (JNIEnv *env, jclass cls)
{
  QSwingBridge::aboutQSwing(env, cls);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1setCustomProperty
  (JNIEnv *env, jclass cls, jstring name, jstring value)
{
  QSwingBridge::setCustomProperty(env, cls, name, value);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwing__1initialize
  (JNIEnv *env, jclass cls, jobjectArray args, jclass colorClass,
   jclass dimensionClass, jclass rectangleClass, jclass fontClass,
   jclass imageClass, jclass iconSetClass, jclass runnableClass,
   jclass iteClass, jclass customColorPaletteClass, jclass customFontSetClass)
{
  QSwingBridge::initialize(env, cls, args, colorClass, dimensionClass,
                           rectangleClass, fontClass, imageClass, iconSetClass,
                           runnableClass, iteClass, customColorPaletteClass,
                           customFontSetClass);
}

/*^*****************************************************************************
  File History:

 - 2007-09-15 09:13:18 Slobodan
   Initial version

*****************************************************************************^*/
