/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_QSwingIconSet.cpp  0.2.0 / 2007-09-22
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_QSwingIconSet.h"

#include "QIconAdapter.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.QSwingIconSet
 */

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setIcon(qIconImage);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setSelectedIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setSelectedIcon(qIconImage); 
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setPressedIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setPressedIcon(qIconImage);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setDisabledIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setDisabledIcon(qIconImage);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setDisabledSelectedIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setDisabledSelectedIcon(qIconImage);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setRolloverIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setRolloverIcon(qIconImage);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingIconSet__1setRolloverSelectedIcon
  (JNIEnv *, jobject, jlong iconEnginePointer, jlong imagePointer)
{
  qIconAdapterEngine->setRolloverSelectedIcon(qIconImage);
}

/*^*****************************************************************************
  File History:

 - 2007-09-22 16:01:03 Slobodan
   Initial version

*****************************************************************************^*/
