/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_QSwingImage.cpp  0.2.0 / 2007-09-14
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_QSwingImage.h"

#include "QSwingImageBridge.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.QSwingImage
 */

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingImage__1create__
  (JNIEnv *env, jobject)
{
  return QSwingImageBridge::createImage(env);
}

JNIEXPORT jlong JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingImage__1create___3BI
  (JNIEnv *env, jobject obj, jbyteArray imageData, jint lenght)
{
  return QSwingImageBridge::createImage(env, obj, imageData, lenght);
}

JNIEXPORT jobject JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingImage__1createScaled
  (JNIEnv *env, jobject, jlong imagePointer, jint width, jint height,
   jint hints, jstring format)
{
  return QSwingImageBridge::createScaled(env, imagePointer, width, height,
                                         hints, format);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_QSwingImage__1destroy
  (JNIEnv *, jobject, jlong imagePointer)
{
  delete qSwingImage;
}

/*^*****************************************************************************
  File History:

 - 2007-09-14 12:50:39 Slobodan
   Initial version

*****************************************************************************^*/
