/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_graphics_FontMetrics.cpp  0.2.0 / 2007-09-13
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_graphics_FontMetrics.h"

#include "FontMetricsBridge.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.graphics.FontMetrics
 */

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_FontMetrics__1getMetrics
  (JNIEnv *env, jobject obj, jlong fontMetricsPointer)
{
  FontMetricsBridge::getMetrics(env, obj, qFontMetrics);
}

JNIEXPORT jint JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_FontMetrics__1stringWidth
  (JNIEnv *env, jobject obj, jlong fontMetricsPointer, jstring str)
{
  return FontMetricsBridge::stringWidth(env, obj, qFontMetrics, str);
}

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_graphics_FontMetrics__1initialize
  (JNIEnv *env, jclass cls)
{
  FontMetricsBridge::initialize(env, cls);
}

/*^*****************************************************************************
  File History:

 - 2007-09-13 10:02:26 Slobodan
   Initial version

*****************************************************************************^*/
