/*
 * @(#)yu_ac_bg_etf_javaqx_qswing_styles_SystemStyle.cpp  0.2.0 / 2007-10-10
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_qswing_styles_SystemStyle.h"

#include "QStyleManager.h"

/*
 * Native implementation for: yu.ac.bg.etf.javaqx.qswing.styles.SystemStyle
 */

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_styles_SystemStyle__1getSystemStyleName
  (JNIEnv *env, jclass)
{
  return QStringAdapter::toJString(env, qStyleManager->systemStyleName());
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_qswing_styles_SystemStyle__1getSystemStyleDescription
  (JNIEnv *env, jclass)
{
  return QStringAdapter::toJString(env,
                                   qStyleManager->systemStyleDescription());
}

/*^*****************************************************************************
  File History:

 - 2007-10-10 17:59:46 Slobodan
   Initial version

*****************************************************************************^*/
