/*
 * @(#)yu_ac_bg_etf_javaqx_test_natives_core_adapter_TestQStringAdapter.cpp
 *                                                            0.2.0 / 2007-01-31
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_test_natives_core_adapter_TestQStringAdapter.h"

#ifdef JAVAQX_TEST

/*!
 * \brief yu_ac_bg_etf_javaqx_test_natives_core_adapter_TestQStringAdapter
 *        native implementation.
 */

#include "QStringAdapter.h"

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_adapter_TestQStringAdapter__1testConcat
  (JNIEnv *env, jclass, jstring s1, jstring s2)
{
  QStringAdapter s1s2 = QStringAdapter(env, s1) + QStringAdapter(env, s2) + "";
  return s1s2.toJString(env);
}

JNIEXPORT jstring JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_adapter_TestQStringAdapter__1testAppend
  (JNIEnv *env, jclass, jstring s1, jstring s2)
{
  QStringAdapter s1s2(env, s1);
  s1s2 += QStringAdapter(env, s2);
  return QStringAdapter::toJString(env, s1s2);
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-01-31 11:20:26 Slobodan
   Initial version

*****************************************************************************^*/
