/*
 * @(#)TestJNIObject.h  0.2.0 / 2007-02-03
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#ifndef TESTJNIOBJECT_H
#define TESTJNIOBJECT_H

#ifdef JAVAQX_TEST

#include "JNIObject.h"

/*^**************************************************************************^*/
/*- TestJNIObject Class.                                                     -*/
/*^**************************************************************************^*/

/*!
 * \brief JNIObject Test.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */
class TestJNIObject : public JNIObject
{
public:
  TestJNIObject(JNIEnv *env, jobject obj);
public:
  void testThrowInternalError();
  void testThrowOutOfMemoryError();
  void testThrowRuntimeExcpetion();
  jstring testNewString();
  jstring testNewStringUTF();
};

#endif // JAVAQX_TEST

#endif // TESTJNIOBJECT_H

/*^*****************************************************************************
  File History:

 - 2007-02-03 14:20:45 Slobodan
   Initial version

*****************************************************************************^*/
