/*
 * @(#)yu_ac_bg_etf_javaqx_nativetests_core_jni_TestJVMWrapper.cpp
 *                                                            0.2.0 / 2007-02-06
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
#include "yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJVMWrapper.h"

#ifdef JAVAQX_TEST

/*!
 * \brief yu_ac_bg_etf_javaqx_nativetests_core_jni_TestJVMWrapper native
 *        implementation.
 *
 * \author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * \version 0.2.0
 */

#include "JVMWrapper.h"

/*^**************************************************************************^*/
/*- Pacakge-Private Static Native Method.                                    -*/
/*^**************************************************************************^*/

JNIEXPORT void JNICALL
Java_yu_ac_bg_etf_javaqx_test_natives_core_jni_TestJVMWrapper__1testExit
  (JNIEnv *, jclass)
{
  JVMWrapper::exit(0);
}

#endif // JAVAQX_TEST

/*^*****************************************************************************
  File History:

 - 2007-02-06 12:37:57 Slobodan
   Initial version

*****************************************************************************^*/
