/*
 * @(#)NativeFilePart.java  0.2.0 / 2007-02-28
 *
 * Copyright (c) 2007, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.javaqx.tools.ng;

import java.io.IOException;
import java.io.PrintWriter;

/**
 * Native File Part.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public interface NativeFilePart {

  /**
   * Stores the part content.
   *
   * @param pw the print writer
   *
   * @throws IOException if any I/O exception occurred
   */
  public void store(PrintWriter pw) throws IOException;

}

/*^*****************************************************************************
  File History:

 - 2007-02-28 15:29:33 Slobodan
   Initial version

*****************************************************************************^*/
