package yu.ac;

/**
 * Native Generator Test Class
 *
 * @javaqx.native
 *    generate="header"
 *
 * @javaqx.native
 *    generate="jni,bridge"
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 0.2.0
 */
public class JQNativeTest {

  public static final int INT_CONST = 1;

  void _enabledChanged(boolean b) {

  }

  native void _test(int bridge);

  /*!
   * @javaqx.native.code sout(bridge);
   */
  native void _headCodded(int bridge);

  /*!
   * @javaqx.native
   *    params="env,bridge"
   *    code="sout(bridge);"
   */
  native void _headCodded(long bridge);

  static native void _initialize(int bridge);

}
